Skip to main content
Platform O&M/Backup Management/Backup Service (Plus)/Backup Service Operations
PUTBackup Service OperationsSince 3.4.0SynchronousAuth Required

UpdateSchedulerJobGroup

UpdateSchedulerJobGroup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The UUID of the job group.

Body Fields

  • updateschedulerjobgroupObjectRequired

    updateschedulerjobgroup request body object.

    • nameString

      Optional. The name of the job group.

    • descriptionString

      Optional. The detailed description of the job group

    • stateString

      Optional. The state of the job group.

    • parametersMap

      Optional The parameters of the job group.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventorySchedulerJobGroupInventoryRequired

    See inventory

    • uuidStringRequired

      The UUID of the job group.

    • nameStringRequired

      The name of the job group.

    • descriptionStringRequired

      The detailed description of the job group.

    • stateString

      Optional. The state of the job group.

    • createDateTimestampRequired

      The time when the job group was created.

    • lastOpDateTimestampRequired

      The time when the job group was last modified.

    • jobDataStringRequired

      The data of the jobs.

    • triggersUuidListRequired

      The UUID of the trigger.

Endpoint

PUT/zstack/v1/scheduler/jobgroups/{uuid}/actions

/zstack/v1/scheduler/jobgroups/{uuid}/actions

Operation ID

UpdateSchedulerJobGroup

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/scheduler/jobgroups/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateschedulerjobgroup":{"name":"<name>","description":"<description>","state":"<state>","parameters":{}},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "e344fd75079735369cbffda253cc173c", "name": "Test", "description": "create volume snapshot job", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }

Change History

This API has no change history records yet.

View all change history